ApiHdfsSnapshot (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHdfsSnapshot

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHdfsSnapshot

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHdfsSnapshot
      extends Object

  An HDFS snapshot descriptor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHdfsSnapshot()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHdfsSnapshot` | `creationTime(String creationTime)`
    `boolean` | `equals(Object o)`
    `String` | `getCreationTime()` Snapshot creation time.
    `String` | `getPath()` Snapshotted path.
    `String` | `getSnapshotName()` Snapshot name.
    `String` | `getSnapshotPath()` Read-only.
    `int` | `hashCode()`
    `ApiHdfsSnapshot` | `path(String path)`
    `void` | `setCreationTime(String creationTime)`
    `void` | `setPath(String path)`
    `void` | `setSnapshotName(String snapshotName)`
    `void` | `setSnapshotPath(String snapshotPath)`
    `ApiHdfsSnapshot` | `snapshotName(String snapshotName)`
    `ApiHdfsSnapshot` | `snapshotPath(String snapshotPath)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHdfsSnapshot

          public ApiHdfsSnapshot()

  - ### Method Detail

    - #### path

          public ApiHdfsSnapshot path(String path)

    - #### getPath

          public String getPath()

      Snapshotted path.
      Returns:
        path

    - #### setPath

          public void setPath(String path)

    - #### snapshotName

          public ApiHdfsSnapshot snapshotName(String snapshotName)

    - #### getSnapshotName

          public String getSnapshotName()

      Snapshot name.
      Returns:
        snapshotName

    - #### setSnapshotName

          public void setSnapshotName(String snapshotName)

    - #### snapshotPath

          public ApiHdfsSnapshot snapshotPath(String snapshotPath)

    - #### getSnapshotPath

          public String getSnapshotPath()

      Read-only. Fully qualified path for the snapshot version of \"path\". <p/> For example, if a snapshot \"s1\" is present at \"/a/.snapshot/s1, then the snapshot path corresponding to \"s1\" for path \"/a/b\" will be \"/a/.snapshot/s1/b\".
      Returns:
        snapshotPath

    - #### setSnapshotPath

          public void setSnapshotPath(String snapshotPath)

    - #### creationTime

          public ApiHdfsSnapshot creationTime(String creationTime)

    - #### getCreationTime

          public String getCreationTime()

      Snapshot creation time.
      Returns:
        creationTime

    - #### setCreationTime

          public void setCreationTime(String creationTime)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.